array_ref.hpp File Reference
`#include "msgpack/v1/adaptor/array_ref.hpp"`
`#include "msgpack/adaptor/check_container_size.hpp"`
`#include "msgpack/cpp_config.hpp"`
`#include <cstring>`
`#include <string>`

Go to the source code of this file.

## Classes

struct | msgpack::type::array_ref< T >
struct | msgpack::type::array_ref< T[N]>
struct | msgpack::adaptor::convert< msgpack::type::array_ref< T > >
struct | msgpack::adaptor::convert< msgpack::type::array_ref< T[N]> >
struct | msgpack::adaptor::convert< msgpack::type::array_ref< std::vector< T > > >
struct | msgpack::adaptor::pack< msgpack::type::array_ref< T > >
struct | msgpack::adaptor::pack< msgpack::type::array_ref< T[N]> >
struct | msgpack::adaptor::object_with_zone< msgpack::type::array_ref< T > >
struct | msgpack::adaptor::object_with_zone< msgpack::type::array_ref< T[N]> >

## Namespaces

| msgpack
| msgpack::type
| msgpack::adaptor

## Functions

template<typename T >
msgpack::enable_if< !msgpack::is_array< T const >::value, array_ref< T const >>::type | msgpack::type::make_array_ref (const T &t)
template<typename T >
msgpack::enable_if< !msgpack::is_array< T >::value, array_ref< T >>::type | msgpack::type::make_array_ref (T &t)
template<typename T , std::size_t N>
array_ref< const T[N]> | msgpack::type::make_array_ref (const T(&t)[N])
template<typename T , std::size_t N>
array_ref< T[N]> | msgpack::type::make_array_ref (T(&t)[N])